---
# https://wiki.centos.org/SpecialInterestGroup/Storage/gluster-Quickstart

- name: install centos-release-gluster
  yum:
    name: centos-release-gluster
    state: latest

- name: Option - pyxattr
  include_tasks: pyxattr/CentOS_8_PowerTools.yml

- name: install glusterfs-server
  yum:
    name: glusterfs-server
    state: latest

- systemd:
    state: started
    name: glusterd.service
  notify: Reboot the cluster

- firewalld:
    service: glusterfs
    permanent: yes
    state: enabled
    immediate: yes
  notify: Reboot the cluster
